
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_CONTENT_SELECTOR_H
#define PG_CONTENT_SELECTOR_H

#include "xstd/Array.h"

class ObjId;
class RndDistr;
class ContentCfg;
class ServerSym;

// selects content configuration based on object identifier
class ContentSel {
	public:
		ContentSel();
		~ContentSel();

		void configure(const ServerSym *cfg);

		ContentCfg *getDir(const ObjId &oid);
		
	protected:
		Array<ContentCfg*> theDirectAccess;  // directly accessible content
		RndDistr *theDirAccSel;              // selector for the above
};

#endif
