
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PGL_NET_ADDRESS_ARRAY_SYMBOL_H
#define PGL_NET_ADDRESS_ARRAY_SYMBOL_H

#include "pgl/PglArraySym.h"

class PglNetAddrRange;
class NetAddrSym;

// list of symbols of a specified type
class NetAddrArraySym: public ArraySym {
	public:
		NetAddrArraySym();

		virtual ostream &print(ostream &os, const String &pfx = 0) const;

	protected:
		virtual ArraySym *cloneType(const String &type) const;

		void printRange(ostream &os, int idx, const PglNetAddrRange &r, double prob) const;
		void addrSymToRange(const NetAddrSym &nas, PglNetAddrRange &r) const;
};

#endif
