
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_PROBE_CLIENT_H
#define PG_PROBE_CLIENT_H

#include "xstd/AlarmClock.h"
#include "probe/ProbeAgent.h"

class ProbeCltXact;

class ProbeClt: public ProbeAgent, public AlarmUser {
	public:
		ProbeClt(const NetAddr &aLclHost, const NetAddr &aRmtHost);

		virtual void exec();

		void noteXactDone(ProbeCltXact *x);

		virtual void noteWriteReady(int fd);
		virtual void wakeUp(const Alarm &a);

	protected:
		void startConnect();
		void tryAgainLater();
};

#endif
