
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef XSTD_OS_STD_META_H
#define XSTD_OS_STD_META_H

#ifdef HAVE_UNISTD_H
#	include <unistd.h>
#endif

#if defined(HAVE_WINBASE_H)
#	include <winsock2.h>
#	include <winbase.h>
#endif

#if defined(HAVE_WINBASE_H) && !defined(HAVE_SLEEP)
	inline int sleep(int secs) { Sleep(1000*secs); return 0; }
#endif

#if defined(HAVE_WINBASE_H) && !defined(HAVE_UNLINK)
	inline int unlink(const char *fname) { return DeleteFile(fname); }
#endif

#endif
