
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "base/polygraph.h"

#include "client/PassClt.h"

PassClt::PassClt() {
	Assert(!theThinkDistr);
}

void PassClt::wakeUp(const Alarm &a) {
	Client::wakeUp(a);

	if (theExtraLaunchLvl)
		--theExtraLaunchLvl;
	else
		tryLaunch(genXact());
}

void PassClt::scheduleLaunch(Time) {
	// no launches -- fetching objects on demand only
}

void PassClt::launchFailed(CltXact *x) {
	Client::launchFailed(x);
}
